Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364699 - Review Request: nodejs-linefix - Recursively repair line endings
Summary: Review Request: nodejs-linefix - Recursively repair line endings
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews Node-RED
TreeView+ depends on / blocked
 
Reported: 2016-08-06 09:56 UTC by Jared Smith
Modified: 2017-09-21 19:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-21 19:53:03 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-06 09:56:59 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-linefix/nodejs-linefix.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-linefix/nodejs-linefix-0.1.1-1.fc26.src.rpm
Description: Recursively repair line endings
Fedora Account System Username: jsmith

Comment 1 Jeroen van Meeuwen 2016-08-07 17:47:45 UTC
It's looking like bin/fix.js is supposed to be made available as %{_bindir}/linefix (see README.md).

Please note that bin/fix.js has the wrong interpreter as well.

Comment 3 Jeroen van Meeuwen 2016-08-10 13:10:46 UTC
You're linking /usr/bin/linefix to /usr/lib/node_modules/linefix/bin/cmd.js, but that seems to need to be /usr/lib/node_modules/linefix/bin/fix.js

Comment 5 Robert-André Mauchin 2017-09-20 10:53:16 UTC
 - Get the license directly from upstream:

Source1:	https://raw.githubusercontent.com/jhoff/linefix/master/LICENSE.txt

  And in %files

%license LICENSE.txt


Package otherwise accepted.

Comment 6 Jared Smith 2017-09-20 14:41:44 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1423'

Comment 7 Gwyn Ciesla 2017-09-20 14:54:01 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-linefix

Comment 8 Jared Smith 2017-09-21 19:53:03 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.